Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class OWLResults

    java.lang.Object
      com.hp.hpl.jena.vocabulary.OWLResults

    public class OWLResults

extends java.lang.Object

The vocabulary used by WebOnt to encode results of test runs.

Vocabulary definitions from file:data/resultsOntology.rdf

Author:
  Auto-generated by schemagen on 12 Sep 2003 17:18

Field Summary
`static Property` | `begins` The point in time at which the test run started; an xsd:dateTime.
`static Property` | `duration` The time taken for the test to run (as far as it did run) on the tested system; an xsd:duration.
`static Resource` | `FailingRun` A TestRun where the system's behavior fails the test, violating a MUST NOT.
`static Resource` | `IncompleteRun` A TestRun where the system's behavior does not pass the test, but also does not fail.
`static Resource` | `NAMESPACE` The namespace of the vocabalary as a resource
`static java.lang.String` | `NS` The namespace of the vocabalary as a string ("http://www.w3.org/2002/03owlt/resultsOntology#")
`static Property` | `output` A web page presenting the output of the test run, including system-specific additional details.
`static Resource` | `PassingRun` A TestRun where the system's behavior is sufficient for passing the test.
`static Property` | `syntacticLevelTestFrom` Syntactic tests.
`static Property` | `system` The complete system instance on which the test was run, conceptually including software and hardware components.
`static Property` | `test` The test in question, such as an otest:PositiveEntailmentTest.
`static Resource` | `TestRun` An event where some system attempts to pass some test.

Constructor Summary
`OWLResults()`

Method Summary
`static java.lang.String` | `getURI()` The namespace of the vocabalary as a string

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  The namespace of the vocabalary as a string ("http://www.w3.org/2002/03owlt/resultsOntology#")

  See Also:
    Constant Field Values

### NAMESPACE

    public static final Resource NAMESPACE

  The namespace of the vocabalary as a resource

### output

    public static final Property output

  A web page presenting the output of the test run, including system-specific additional details.

### test

    public static final Property test

  The test in question, such as an otest:PositiveEntailmentTest.

### syntacticLevelTestFrom

    public static final Property syntacticLevelTestFrom

  Syntactic tests.

### system

    public static final Property system

  The complete system instance on which the test was run, conceptually including software and hardware components. No range restriction is provided, however, so the details are flexible; providing an rdfs:label and rdfs:comment may be sufficient for many applications.

### begins

    public static final Property begins

  The point in time at which the test run started; an xsd:dateTime.

### duration

    public static final Property duration

  The time taken for the test to run (as far as it did run) on the tested system; an xsd:duration. This value depends on many factors, of course, such as the performance of the hardware components of the tested system. If the system is opaque, these values should only be used for comparison against other tests run on same system.

### TestRun

    public static final Resource TestRun

  An event where some system attempts to pass some test.

### IncompleteRun

    public static final Resource IncompleteRun

  A TestRun where the system's behavior does not pass the test, but also does not fail. Typically this is caused by behaving in a way the system SHOULD NOT. For OWL tests, returning an UNKNOWN for most tests should be reported as an IncompleteRun.

### FailingRun

    public static final Resource FailingRun

  A TestRun where the system's behavior fails the test, violating a MUST NOT.

### PassingRun

    public static final Resource PassingRun

  A TestRun where the system's behavior is sufficient for passing the test.

Constructor Detail

### OWLResults

    public OWLResults()

Method Detail

### getURI

    public static java.lang.String getURI()

  The namespace of the vocabalary as a string

  See Also:
    `NS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP